VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::networking::dns::Servers Interface Reference

`Servers` interface provides methods DNS server configuration. More...

Inherited by vmware::appliance::networking::dns::ServersStub.

List of all members.

## Public Member Functions
vmware.appliance.networking.dns.ServersTypes.TestStatusInfo | Test (global::System.Collections.Generic.List< string > servers)
| Test if dns servers are reachable.
vmware.appliance.networking.dns.ServersTypes.TestStatusInfo | Test (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test if dns servers are reachable.
global::System.Threading.Tasks.Task < vmware.appliance.networking.dns.ServersTypes.TestStatusInfo > | TestAsync (global::System.Collections.Generic.List< string > servers)
| Test if dns servers are reachable.
global::System.Threading.Tasks.Task < vmware.appliance.networking.dns.ServersTypes.TestStatusInfo > | TestAsync (global::System.Collections.Generic.List< string > servers, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test if dns servers are reachable.
void | Add (string server)
| Add a DNS server.
void | Add (string server, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add a DNS server.
global::System.Threading.Tasks.Task | AddAsync (string server)
| Add a DNS server.
global::System.Threading.Tasks.Task | AddAsync (string server, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Add a DNS server.
void | Set (vmware.appliance.networking.dns.ServersTypes.DNSServerConfig config)
| Set the DNS server configuration.
void | Set (vmware.appliance.networking.dns.ServersTypes.DNSServerConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set the DNS server configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.networking.dns.ServersTypes.DNSServerConfig config)
| Set the DNS server configuration.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.networking.dns.ServersTypes.DNSServerConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set the DNS server configuration.
vmware.appliance.networking.dns.ServersTypes.DNSServerConfig | Get ()
| Get DNS server configuration.
vmware.appliance.networking.dns.ServersTypes.DNSServerConfig | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get DNS server configuration.
global::System.Threading.Tasks.Task < vmware.appliance.networking.dns.ServersTypes.DNSServerConfig > | GetAsync ()
| Get DNS server configuration.
global::System.Threading.Tasks.Task < vmware.appliance.networking.dns.ServersTypes.DNSServerConfig > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get DNS server configuration.

## Detailed Description

`Servers` interface provides methods DNS server configuration.

## Member Function Documentation

void vmware::appliance::networking::dns::Servers::Add | ( | string | server | ) |

Add a DNS server.

This method fails if mode argument is "dhcp"

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  server | DNS server.

Implemented in vmware::appliance::networking::dns::ServersStub.

void vmware::appliance::networking::dns::Servers::Add | ( | string | server,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Add a DNS server.

This method fails if mode argument is "dhcp"

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  server | DNS server.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Servers::AddAsync | ( | string | server,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Add a DNS server.

This method fails if mode argument is "dhcp"

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  server | DNS server.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Servers::AddAsync | ( | string | server | ) |

Add a DNS server.

This method fails if mode argument is "dhcp"

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  server | DNS server.

Implemented in vmware::appliance::networking::dns::ServersStub.

vmware.appliance.networking.dns.ServersTypes.DNSServerConfig vmware::appliance::networking::dns::Servers::Get | ( |  | ) |

Get DNS server configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  DNS server configuration.

Implemented in vmware::appliance::networking::dns::ServersStub.

vmware.appliance.networking.dns.ServersTypes.DNSServerConfig vmware::appliance::networking::dns::Servers::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get DNS server configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  DNS server configuration.

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task<vmware.appliance.networking.dns.ServersTypes.DNSServerConfig> vmware::appliance::networking::dns::Servers::GetAsync | ( |  | ) |

Get DNS server configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  DNS server configuration.

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task<vmware.appliance.networking.dns.ServersTypes.DNSServerConfig> vmware::appliance::networking::dns::Servers::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get DNS server configuration.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  DNS server configuration.

Implemented in vmware::appliance::networking::dns::ServersStub.

void vmware::appliance::networking::dns::Servers::Set | ( | vmware.appliance.networking.dns.ServersTypes.DNSServerConfig | config | ) |

Set the DNS server configuration.

If you set the mode argument to "DHCP", a DHCP refresh is forced.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | DNS server configuration.

Implemented in vmware::appliance::networking::dns::ServersStub.

void vmware::appliance::networking::dns::Servers::Set | ( | vmware.appliance.networking.dns.ServersTypes.DNSServerConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set the DNS server configuration.

If you set the mode argument to "DHCP", a DHCP refresh is forced.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | DNS server configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Servers::SetAsync | ( | vmware.appliance.networking.dns.ServersTypes.DNSServerConfig | config | ) |

Set the DNS server configuration.

If you set the mode argument to "DHCP", a DHCP refresh is forced.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | DNS server configuration.

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Servers::SetAsync | ( | vmware.appliance.networking.dns.ServersTypes.DNSServerConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set the DNS server configuration.

If you set the mode argument to "DHCP", a DHCP refresh is forced.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | DNS server configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::ServersStub.

vmware.appliance.networking.dns.ServersTypes.TestStatusInfo vmware::appliance::networking::dns::Servers::Test | ( | global::System.Collections.Generic.List< string > | servers | ) |

Test if dns servers are reachable.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | DNS servers.

Returns:
  DNS reacable status

Implemented in vmware::appliance::networking::dns::ServersStub.

vmware.appliance.networking.dns.ServersTypes.TestStatusInfo vmware::appliance::networking::dns::Servers::Test | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Test if dns servers are reachable.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | DNS servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  DNS reacable status

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task<vmware.appliance.networking.dns.ServersTypes.TestStatusInfo> vmware::appliance::networking::dns::Servers::TestAsync | ( | global::System.Collections.Generic.List< string > | servers | ) |

Test if dns servers are reachable.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | DNS servers.

Returns:
  DNS reacable status

Implemented in vmware::appliance::networking::dns::ServersStub.

global::System.Threading.Tasks.Task<vmware.appliance.networking.dns.ServersTypes.TestStatusInfo> vmware::appliance::networking::dns::Servers::TestAsync | ( | global::System.Collections.Generic.List< string > | servers,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Test if dns servers are reachable.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  servers | DNS servers.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  DNS reacable status

Implemented in vmware::appliance::networking::dns::ServersStub.

The documentation for this interface was generated from the following file:

- Servers.cs